Difference between revisions of "YARP Supported Distributions"

From Wiki for iCub and Friends
Jump to: navigation, search
(Supported releases)
(Supported releases)
 
(139 intermediate revisions by 4 users not shown)
Line 3: Line 3:
 
== Supported releases ==
 
== Supported releases ==
  
This is the list of the Linux distributions currently supported by YARP. This means that for these distributoins we:
+
This is the list of the Linux distributions currently supported by YARP. This means that for these distributions we:
 
* Supply .deb packages of new releases of YARP
 
* Supply .deb packages of new releases of YARP
 
* We maintain test machines to ensure that the current sources in svn compile with that distribution (see:  http://dashboard.icub.org)
 
* We maintain test machines to ensure that the current sources in svn compile with that distribution (see:  http://dashboard.icub.org)
Line 9: Line 9:
 
The list of Linux distributions supported is updated using the Policy reported below.
 
The list of Linux distributions supported is updated using the Policy reported below.
  
Notice that we support both 64 and 32 bits versions.
+
Notice that '''we support only 64 bits versions'''.
  
 
{| border="1"
 
{| border="1"
! Distribution !! Version !! Codename !! cmake !! gcc-defaults !! ace !! gtk+2.0 !! gtkmm2.4 !! gsl !! opencv !! goocanvasmm !! gtkdataboxmm !! tinyxml !! libav !! libdc1394 !! libdc1394-22
+
! Distribution !! Version !! Codename !! End of life !! cmake !! gcc-defaults !! ace !! opencv !! tinyxml !! libav !! ffmpeg !! libdc1394-22 | libdc1394 !! Qt5†† !! coinor-ipopt !! swig !! libeigen3-dev !! gsl !! <s>gtk+2.0</s> !! <s>gtkmm2.4</s> !! <s>goocanvasmm</s> !! <s>gtkdataboxmm</s>
 
|-
 
|-
 
!colspan="3" | Debian
 
!colspan="3" | Debian
   || [[http://packages.qa.debian.org/c/cmake.html pts]][[https://launchpad.net/debian/+source/cmake lp]]
+
   || [[http://www.debian.org/releases/ www]]
   || [[http://packages.qa.debian.org/g/gcc-defaults.html pts]][[https://launchpad.net/debian/+source/gcc-defaults lp]]
+
  || [[http://tracker.debian.org/pkg/cmake trk]][[https://launchpad.net/debian/+source/cmake lp]]
   || [[http://packages.qa.debian.org/a/ace.html pts]][[https://launchpad.net/debian/+source/ace lp]]
+
   || [[http://tracker.debian.org/pkg/gcc-defaults trk]][[https://launchpad.net/debian/+source/gcc-defaults lp]]
   || [[http://packages.qa.debian.org/g/gtk+2.0.html pts]][[https://launchpad.net/debian/+source/gtk+2.0 lp]]
+
   || [[http://tracker.debian.org/pkg/ace trk]][[https://launchpad.net/debian/+source/ace lp]]
   || [[http://packages.qa.debian.org/g/gtkmm2.4.html pts]][[https://launchpad.net/debian/+source/gtkmm2.4 lp]]
+
   || [[http://tracker.debian.org/pkg/opencv trk]][[https://launchpad.net/debian/+source/opencv lp]]
   || [[http://packages.qa.debian.org/g/gsl.html pts]][[https://launchpad.net/debian/+source/gsl lp]]
+
  || [[http://tracker.debian.org/pkg/tinyxml trk]][[https://launchpad.net/debian/+source/tinyxml lp]]
   || [[http://packages.qa.debian.org/o/opencv.html pts]][[https://launchpad.net/debian/+source/opencv lp]]
+
  || [[http://tracker.debian.org/pkg/libav trk]][[https://launchpad.net/debian/+source/libav lp]]
   || [[http://packages.qa.debian.org/g/goocanvasmm.html pts]][[https://launchpad.net/debian/+source/goocanvasmm lp]]
+
  || [[http://tracker.debian.org/pkg/ffmpeg trk]][[https://launchpad.net/debian/+source/ffmpeg lp]]
   || [[http://packages.qa.debian.org/g/gtkdataboxmm.html pts]][[https://launchpad.net/debian/+source/gtkdataboxmm lp]]
+
   || [[http://tracker.debian.org/pkg/libdc1394-22 trk]][[https://launchpad.net/debian/+source/libdc1394-22 lp]] | [[http://tracker.debian.org/pkg/libdc1394 trk]][[https://launchpad.net/debian/+source/libdc1394 lp]]
   || [[http://packages.qa.debian.org/t/tinyxml.html pts]][[https://launchpad.net/debian/+source/tinyxml lp]]
+
  || ††
   || [[http://packages.qa.debian.org/liba/libav.html pts]][[https://launchpad.net/debian/+source/libav lp]]
+
   || [[http://tracker.debian.org/pkg/coinor-ipopt trk]][[https://launchpad.net/debian/+source/coinor-ipopt lp]]
   || [[http://packages.qa.debian.org/libd/libdc1394.html pts]][[https://launchpad.net/debian/+source/libdc1394 lp]]
+
   || [[http://tracker.debian.org/pkg/swig trk]][[https://launchpad.net/debian/+source/swig lp]]
   || [[http://packages.qa.debian.org/libd/libdc1394-22.html pts]][[https://launchpad.net/debian/+source/libdc1394-22 lp]]
+
   || [[http://tracker.debian.org/pkg/eigen3 trk]][[https://launchpad.net/debian/+source/eigen3 lp]]
 +
   || [[http://tracker.debian.org/pkg/gsl trk]][[https://launchpad.net/debian/+source/gsl lp]]
 +
   || [[http://tracker.debian.org/pkg/gtk+2.0 trk]][[https://launchpad.net/debian/+source/gtk+2.0 lp]]
 +
   || [[http://tracker.debian.org/pkg/gtkmm2.4 trk]][[https://launchpad.net/debian/+source/gtkmm2.4 lp]]
 +
   || [[http://tracker.debian.org/pkg/goocanvasmm trk]][[https://launchpad.net/debian/+source/goocanvasmm lp]]
 +
   || [[http://tracker.debian.org/pkg/gtkdataboxmm trk]][[https://launchpad.net/debian/+source/gtkdataboxmm lp]]
 
|-
 
|-
| Debian || 8 || Jessie (testing)* || 2.8.11.2 || 4.7.3 || 6.0.3 || 2.24.18 || 2.24.4 || 1.15 || 2.3.1-11 || 0.15.4 || 0.9.4 || 2.6.2 || 0.8.7 || || 2.2.1
+
| Debian || 12 || Bookworm (testing)* || || 3.18.4            || 1.190 (gcc 10.2.1) || 6.5.12 || 4.5.1 || 2.6.2 || N/A || 4.3.2=libavcodec58,libavutil56 || 2.2.6 || 5.15.2 || 3.11.9 || 4.0.|| 3.3.9 || 2.6 || || || ||
 
|-
 
|-
| Debian || 7 || Wheezy (stable) || 2.8.9 || 4.7.2 || 6.0.3 || 2.24.10 || 2.24.2 || 1.15 || 2.3.1-11 || 0.15.4 || N/A || 2.6.2 || 0.8.6 || || 2.2.0
+
| Debian || 11 || Bullseye (stable)   || || 3.18.4            || 1.190 (gcc 10.2.1) || 6.5.12 || 4.5.1 || 2.6.2 || N/A || 4.3.2=libavcodec58,libavutil56 || 2.2.6 || 5.15.2 || 3.11.9 || 4.0.2 || 3.3.9 || 2.6 || || || ||
 
|-
 
|-
| Debian || 6 || Squeeze (oldstable) (Aug 5, 2013***) || 2.8.2 (2.8.9**) || 4.4.5 || 5.7.7 || 2.20.1 || 2.20.3 || 1.14 || 2.1.0† || 0.13.0 || N/A || 2.5.3 || ? (0.8.6**) || || 2.1.2
+
| Debian || 10 || Buster (oldstable) || <span style="color: red;">August 14, 2021 + 3/6 months</span>
 +
                                        || 3.13.4 (3.16.3***) || 1.181 (gcc 8.3.0) || 6.4.5 || 3.2.0 || 2.6.2 || N/A || 4.1.1=libavcodec58,libavutil56 || 2.2.5 || 5.11.3 || 3.11.9 || 3.0.12 || 3.3.7 || 2.5 || || || ||
 
|-
 
|-
 
!colspan="3" | Ubuntu
 
!colspan="3" | Ubuntu
 +
  || [[https://wiki.ubuntu.com/Releases wiki]]
 
   || [[https://launchpad.net/ubuntu/+source/cmake lp]]
 
   || [[https://launchpad.net/ubuntu/+source/cmake lp]]
 
   || [[https://launchpad.net/ubuntu/+source/gcc-defaults lp]]
 
   || [[https://launchpad.net/ubuntu/+source/gcc-defaults lp]]
 
   || [[https://launchpad.net/ubuntu/+source/ace lp]]
 
   || [[https://launchpad.net/ubuntu/+source/ace lp]]
 +
  || [[https://launchpad.net/ubuntu/+source/opencv lp]]
 +
  || [[https://launchpad.net/ubuntu/+source/tinyxml lp]]
 +
  || [[https://launchpad.net/ubuntu/+source/libav lp]]
 +
  || [[https://launchpad.net/ubuntu/+source/ffmpeg lp]]
 +
  || [[https://launchpad.net/ubuntu/+source/libdc1394-22 lp]] | [[https://launchpad.net/ubuntu/+source/libdc1394 lp]]
 +
  || ††
 +
  || [[https://launchpad.net/ubuntu/+source/coinor-ipopt lp]]
 +
  || [[https://launchpad.net/ubuntu/+source/swig lp]]
 +
  || [[https://launchpad.net/ubuntu/+source/eigen3 lp]]
 +
  || [[https://launchpad.net/ubuntu/+source/gsl lp]]
 
   || [[https://launchpad.net/ubuntu/+source/gtk+2.0 lp]]
 
   || [[https://launchpad.net/ubuntu/+source/gtk+2.0 lp]]
 
   || [[https://launchpad.net/ubuntu/+source/gtkmm2.4 lp]]
 
   || [[https://launchpad.net/ubuntu/+source/gtkmm2.4 lp]]
  || [[https://launchpad.net/ubuntu/+source/gsl lp]]
 
  || [[https://launchpad.net/ubuntu/+source/opencv lp]]
 
 
   || [[https://launchpad.net/ubuntu/+source/goocanvasmm lp]]
 
   || [[https://launchpad.net/ubuntu/+source/goocanvasmm lp]]
 
   || [[https://launchpad.net/ubuntu/+source/gtkdataboxmm lp]]
 
   || [[https://launchpad.net/ubuntu/+source/gtkdataboxmm lp]]
  || [[https://launchpad.net/ubuntu/+source/tinyxml lp]]
 
  || [[https://launchpad.net/ubuntu/+source/libav lp]]
 
  || [[https://launchpad.net/ubuntu/+source/libdc1394 lp]]
 
  || [[https://launchpad.net/ubuntu/+source/libdc1394-22 lp]]
 
 
|-
 
|-
| Ubuntu || 14.04 LTS || Trusty Tahr* || 2.8.12.1 || || 6.0.3 || 2.24.22 || 2.24.4 || 1.16 || 2.4.6 || 1.15.4 || 0.9.4 || 2.6.2 || 9.10 || || 2.2.1
+
| Ubuntu || 21.10* || Impish Indri    ||  || 3.18.4              || 1.193 (gcc 11.2.0) || 6.5.12 || 4.5.1 || 2.6.2 || N/A || 4.3.2=libavcodec58,libavutil56 || 2.2.6 || 5.15.2 || 3.11.9 || 4.0.2 || 3.3.9 || 2.6 || || || ||
 
|-
 
|-
| Ubuntu || 13.10 || Saucy Salamander* || 2.8.11.2 || 4.8.1 || 6.0.3 || 2.24.20 || 2.24.4 || 1.16 || 2.4.5 || 0.15.4 || 0.9.4 || 2.6.2 || 0.8.6 (0.8.7**) || || 2.2.1
+
| Ubuntu || 21.04 || Hirsute Hippo    || || 3.18.4              || 1.190 (gcc 10.3.0) || 6.5.12 || 4.5.1 || 2.6.2 || N/A || 4.3.2=libavcodec58,libavutil56 || 2.2.6 || 5.15.2 || 3.11.9 || 4.0.2 || 3.3.9 || 2.6 || || || ||
 
|-
 
|-
| Ubuntu || 13.04 || Raring Ringtail || 2.8.10.1 || 4.7.3 || 6.0.3 || 2.24.17 || 2.24.2 || 1.15 || 2.4.2 || 0.15.4 || N/A || 2.6.2 || 0.8.6 || || 2.2.0
+
| Ubuntu || 20.04 LTS || Focal Fossa  || || 3.16.3 (3.21.1****) || 1.185 (gcc 9.2.0)  || 6.4.|| 4.2.0 || 2.6.2 || N/A || 4.2.2=libavcodec58,libavutil56 || 2.2.5 || 5.12.8 || 3.11.9 || 4.0.1 || 3.3.7 || 2.5 || || || ||
 
|-
 
|-
| Ubuntu || 12.10 || Quantal Quetzal || 2.8.9 || 4.7.2 || 6.0.3 || 2.24.13 || 2.24.2 || 1.15 || 2.3.1-11 || 0.15.4 || N/A || 2.6.2 || 0.8.3 (0.8.6**) || || 2.2.0
+
| Ubuntu || 18.04 LTS || Bionic Beaver || <span style="color: red;">April 23, 2020 + 3/6 months</span>
 +
                                          || 3.10.2 (3.21.1****) || 1.176 (gcc 7.3.0)  || 6.4.|| 3.2.0 || 2.6.2 || N/A || 3.4.2=libavcodec57,libavutil55 || 2.2.5 || 5.9.3 || 3.11.9 || 3.0.12 || 3.3.4 || 2.4 || || || ||
 
|-
 
|-
| Ubuntu || 12.04 LTS || Precise Pangolin || 2.8.7 || 4.6.3 || 6.0.1 || 2.24.10 || 2.24.2 || 1.15 || 2.3.1-7† || 0.15.4 || N/A || 2.6.2 || 0.8.1 (0.8.6**) || || 2.2.0
+
!colspan="4" | Repology
 +
  || [[https://repology.org/metapackage/cmake/versions cmake]]
 +
  || [[https://repology.org/metapackage/gcc-defaults/versions gcc-defaults]]
 +
  || [[https://repology.org/metapackage/ace/versions ace]]
 +
  || [[https://repology.org/metapackage/opencv/versions opencv]]
 +
  || [[https://repology.org/metapackage/tinyxml/versions tinyxml]]
 +
  || [[https://repology.org/metapackage/libav/versions libav]]
 +
  || [[https://repology.org/metapackage/ffmpeg/versions ffmpeg]]
 +
  || [[https://repology.org/metapackage/libdc1394-22/versions libdc1394-22]] | [[https://repology.org/metapackage/libdc1394/versions libdc1394]]
 +
  || [[https://repology.org/metapackage/qt5-base/versions qt5-base]]
 +
  || [[https://repology.org/metapackage/coin-or-ipopt/versions coin-or-ipopt]]
 +
  || [[https://repology.org/metapackage/swig/versions swig]]
 +
  || [[https://repology.org/metapackage/eigen3/versions eigen3]]
 +
  || [[https://repology.org/metapackage/gsl/versions gsl]]
 +
  ||  
 +
  ||  
 +
  ||  
 +
  ||  
 
|-
 
|-
!colspan="3" | Minimum version || 2.8.2 (2.8.7) || || 5.7.7 || 2.20.1 || 2.20.3 || 1.14 || 2.3.1-8† || 0.13.0 || N/A || 2.5.3 || 0.8.1 (0.8.6) || || 2.1.2
+
!colspan="3" | Minimum version || || 3.10.2 (3.16.3) || 1.176 (gcc 7.3.0) || 6.4.5 || 3.2.0 || 2.6.2
 +
!colspan="2" | 3.4.2=libavcodec57,libavutil55 || 2.2.|| 5.9.3 || 3.11.9 || 3.0.12 || 3.3.4 || 2.4 || || || ||
 
|-
 
|-
!colspan="3" | Currently required || 2.8.7 || || || || || || || || || || || || 1.x
+
!colspan="3" | Currently required || || 3.16 || || || 2.3.1-8† ||
 +
!colspan="2" | || 1.x || 5.2 || || || 3.0 || || || || ||
 
|-
 
|-
 
|}
 
|}
 
  *  Not yet officially supported/work in progress
 
  *  Not yet officially supported/work in progress
 
  ** In backports, updates, security, or proposed repository
 
  ** In backports, updates, security, or proposed repository
  *** backports repository required
+
  *** Backports repository required
 +
**** Kitware CMake repository required
 
  † OpenCV needs to be built with -DWITH_TBB. On Debian and Ubuntu this flag is used since 2.3.1-8
 
  † OpenCV needs to be built with -DWITH_TBB. On Debian and Ubuntu this flag is used since 2.3.1-8
 +
†† Qt5 packages:
 +
    * qtbase-opensource-src: Debian [[http://tracker.debian.org/pkg/qtbase-opensource-src trk]][[https://launchpad.net/debian/+source/qtbase-opensource-src lp]]
 +
                            Ubuntu [[https://launchpad.net/ubuntu/+source/qtbase-opensource-src lp]]
 +
    * qttools-opensource-src: Debian [[http://tracker.debian.org/pkg/qttools-opensource-src trk]][[https://launchpad.net/debian/+source/qttools-opensource-src lp]]
 +
                              Ubuntu [[https://launchpad.net/ubuntu/+source/qttools-opensource-src lp]]
 +
    * qtdeclarative-opensource-src: Debian [[http://tracker.debian.org/pkg/qtdeclarative-opensource-src trk]][[https://launchpad.net/debian/+source/qtdeclarative-opensource-src lp]]
 +
                                    Ubuntu [[https://launchpad.net/ubuntu/+source/qtdeclarative-opensource-src lp]]
 +
    * qtquickcontrols-opensource-src: Debian [[http://tracker.debian.org/pkg/qtquickcontrols-opensource-src trk]][[https://launchpad.net/debian/+source/qtquickcontrols-opensource-src lp]]
 +
                                      Ubuntu [[https://launchpad.net/ubuntu/+source/qtquickcontrols-opensource-src lp]]
 +
    * qtmultimedia-opensource-src: Debian [[http://tracker.debian.org/pkg/qtmultimedia-opensource-src trk]][[https://launchpad.net/debian/+source/qtmultimedia-opensource-src lp]]
 +
                                  Ubuntu [[https://launchpad.net/ubuntu/+source/qtmultimedia-opensource-src lp]]
  
 
== Old releases ==
 
== Old releases ==
Line 77: Line 120:
  
 
{| border="1"
 
{| border="1"
! Distribution !! Version !! Codename !! YARP* !! cmake !! gcc-defaults !! ace !! gtk+2.0 !! gtkmm2.4 !! gsl !! opencv !! goocanvasmm !! gtkdataboxmm !! tinyxml !! libav !! libdc1932 !! libdc1392-22
+
! Distribution !! Version !! Codename !! YARP* !! cmake !! gcc-defaults !! ace !! opencv !! tinyxml !! libav !! ffmpeg !! libdc1392-22 !! Qt5 !! coinor-ipopt !! swig !! libeigen3-dev !! gsl !! gtk+2.0 !! gtkmm2.4 !! goocanvasmm !! gtkdataboxmm
 +
|-
 +
!colspan="22" | Debian
 +
|-
 +
| Debian || 9 || Stretch || 3.3 || 3.7.2 (3.13.4**) || 1.168 (gcc 6.3.0) || 6.3.3 || 2.4.9.1 || 2.6.2 || N/A || 3.2.9=libavcodec57,libavutil55 || 2.2.5 || 5.7.1 || 3.11.9 || 3.0.10 || 3.3.2 || 2.3 || || || ||
 +
|-
 +
| Debian || 8 || Jessie || 2.3.72 || 3.0.2 (3.6.2**) || 1.136 (gcc 4.9.2) || 6.2.8 || 2.4.9.1 || 2.6.2 || 11.3=libavcodec56,libavutil54 || N/A (2.8.6=libavcodec56,libavutil54**) || 2.2.3 || 5.3.2 || 3.11.9 || 3.0.2 || 3.2.2 (3.3.0**) || 1.16 (2.3**) || || || ||
 +
|-
 +
| Debian || 7 || Wheezy || 2.3.68 || 2.8.9 (2.8.11.1**) || 1.120 (gcc 4.7.2) || 6.0.3 || 2.3.1-11 || 2.6.2 || 0.8.16=libavcodec53,libavutil51 (10.1=libavcodec55,libavutil53*) || N/A || 2.2.0 || N/A (5.3.2**) || 3.10.2 || 2.0.7 || || 1.15 || 2.24.10 || 2.24.2 || 0.15.4 || N/A
 +
|-
 +
| Debian || 6 || Squeeze || 2.3.62 || 2.8.2 (2.8.9**) || 4.4.5 || 5.7.7 || 2.1.0† || 2.5.3 || ? (0.8.6**) || 0.5.10 || 2.1.2 || || || || || 1.14 || 2.20.1 || 2.20.3 || 0.13.0 || N/A
 +
|-
 +
| Debian || 5 || Lenny || 2.3.20 || 2.6.0 || || 5.6.3 || || || || || || || || || || 1.11 || 2.12.12 (2.20.1**) || 2.12.7 || ||
 +
|-
 +
| Debian || 4 || Etch || 2.3.20 || 2.4.5 (2.6.0**) || || 5.4.7 || || || || || 1.1.0 (libdc1932) || || || || 1.8 || || || || ||
 +
|-
 +
!colspan="22" | Ubuntu
 +
|-
 +
| Ubuntu || 20.10 || Groovy Gorilla    ||  || 3.16.3 || 1.188 (gcc 10.2.0) || 6.5.10 || 4.2.0 || 2.6.2 || N/A || 4.3.1=libavcodec58,libavutil56 || 2.2.5 || 5.14.2 || 3.11.9 || 4.0.1 || 3.3.7 || 2.6 || || || ||
 +
|-
 +
| Ubuntu || 19.10 || Eoan Ermine || 3.4 || 3.13.4 || 1.185 (gcc 9.2.0) || 6.4.5 || 3.2.0 || 2.6.2 || N/A || 4.1.4=libavcodec58,libavutil56 || 2.2.5 || 5.12.4 || 3.11.9 || 3.0.12 || 3.3.7 || 2.5 || || || ||
 +
|-
 +
| Ubuntu || 19.04 || Disco Dingo || 3.3 || 3.13.4 || 1.181 (gcc 8.3.0) || 6.4.5 || 3.2.0 || 2.6.2 || N/A || 4.1.3=libavcodec58,libavutil56 || 2.2.5 || 5.12.2 || 3.11.9 || 3.0.12 || 3.3.7  || 2.5 || || || ||
 +
|-
 +
| Ubuntu || 18.10 || Cosmic Cuttlefish || 3.2 || 3.12.1 || 1.179 (gcc 8.2.0) || 6.4.5 || 3.2.0 || 2.6.2 || N/A || 4.0.2=libavcodec58,libavutil56 || 2.2.5 || 5.11.1 || 3.11.9 || 3.0.12 || 3.3.4  || 2.5 || || || ||
 +
|-
 +
| Ubuntu || 17.10 || Artful Aardvark || 3.0 || 3.9.1 || 1.173 (gcc 7.2.0) || 6.4.5 || 3.1.0 || 2.6.2 || N/A || 3.3.4=libavcodec57,libavutil55 || 2.2.5 || 5.9.1 || 3.11.9 || 3.0.10 || 3.3.4  || 2.4 || || || ||
 +
|-
 +
| Ubuntu || 17.04 || Zesty Zapus || 2.3.72 || 3.7.2 || 1.166 (gcc 6.3.0) || 6.3.3 || 2.4.9.1 || 2.6.2 || N/A || 3.0.2=libavcodec57,libavutil55 || 2.2.4 || 5.6.1 || 3.11.9 || 3.0.8 || 3.3.2 || 2.3|| || || ||
 +
|-
 +
| Ubuntu || 16.10 || Yakkety Yak || 2.3.70 || 3.5.2 || 1.162 (gcc 6.1.1)  || 6.3.3 || 2.4.9.1 || 2.6.2 || N/A || 3.0.2=libavcodec57,libavutil55 || 2.2.4 || 5.6.1 || 3.11.9 || 3.0.8 || || 2.1 || 2.24.30 || 2.24.5 || N/A || 0.9.4
 +
|-
 +
| Ubuntu || 16.04 LTS || Xenial Xerus || 3.0 || 3.5.1 || 1.150 (gcc 5.3.1) || 6.3.3 || 2.4.9.1 || 2.6.2 || N/A || 2.8.6=libavcodec56,libavutil54 || 2.2.4 || 5.5.1 || 3.11.9 || 3.0.8 || 3.3-beta1 (3.2.92) || 2.1 || || || ||
 +
|-
 +
| Ubuntu || 15.10 || Wily Werewolf || 2.3.66 || 3.2.2 || 1.144 (gcc 5.2.1) || 6.2.8 || 2.4.9 || 2.6.2 || N/A || 2.7.2=libavcodec56,libavutil54 (2.7.6=libavcodec56,libavutil54**) || 2.2.3 || 5.4.2 || 3.11.9 || 3.0.2 || || 1.16 || 2.24.28 || 2.24.4 || N/A || 0.9.4
 +
|-
 +
| Ubuntu || 15.04 || Vivid Vervet || 2.3.65 || 3.0.2 || 1.136 (gcc 4.9.2) || 6.2.8 || 2.4.9 || 2.6.2 || 11.2=libavcodec56,libavutil54 || 2.5.4=libavcodec56,libavutil54 (2.5.7=libavcodec56,libavutil54**) || 2.2.3 || 5.4.1 || 3.11.9 || 3.0.2 || || 1.16 || 2.24.25 || 2.24.4 || 0.15.4 || 0.9.4
 +
|-
 +
| Ubuntu || 14.10 || Utopic Unicorn || 2.3.64 || 2.8.12.2 || 4.9.1 || 6.0.3 || 2.4.8 || 2.6.2 || 11=libavcodec56 || N/A || 2.2.1 || 5.3.0 || 3.11.7 || 3.0.2 || || 1.16 || 2.24.24 || 2.24.4 || 0.15.4 || 0.9.4
 +
|-
 +
| Ubuntu || 14.04 LTS || Trusty Tahr || 2.3.68 || 2.8.12.2 || 1.124 (gcc 4.8.2) || 6.0.3 || 2.4.8 || 2.6.2 || 9.11=libavcodec54,libavutil52 (9.18=libavcodec54,libavutil52**) || N/A || 2.2.1 || 5.2.1 || 3.11.4 || 2.0.11 (3.0.2**) || || 1.16 || 2.24.23 || 2.24.4 || 0.15.4 || 0.9.4
 
|-
 
|-
!colspan="17" | Debian
+
| Ubuntu || 13.10 || Saucy Salamander || 2.3.63 || 2.8.11.2 || 4.8.1 || 6.0.3 || 2.4.5 || 2.6.2 || 0.8.6 (0.8.7**) || || 2.2.1 || 5.0.2 || || || || 1.16 || 2.24.20 || 2.24.4 || 0.15.4 || 0.9.4
 
|-
 
|-
| Debian || 5 || Lenny || 2.3.20 || 2.6.0 || || || 2.12.12 (2.20.1**) || 2.12.7 || 1.11 || || || || || || ||
+
| Ubuntu || 13.04 || Raring Ringtail || 2.3.62 || 2.8.10.1 || 4.7.3 || 6.0.3 || 2.4.2 || 2.6.2 || 0.8.6 || || 2.2.0 || || || || || 1.15 || 2.24.17 || 2.24.2 || 0.15.4 || N/A
 
|-
 
|-
| Debian || 4 || Etch || 2.3.20 || 2.4.5 (2.6.0**) || || || || || 1.8 || || || || || || 1.1.0 ||
+
| Ubuntu || 12.10 || Quantal Quetzal || 2.3.62 || 2.8.9 || 4.7.2 || 6.0.3 || 2.3.1-11 || 2.6.2 || 0.8.3 (0.8.6**) || || 2.2.0 || || || || || 1.15 || 2.24.13 || 2.24.2 || 0.15.4 || N/A
 
|-
 
|-
!colspan="17" | Ubuntu
+
| Ubuntu || 12.04 LTS || Precise Pangolin || 2.3.62 || 2.8.7 || 4.6.3 || 6.0.1 || 2.3.1-7† || 2.6.2 || 0.8.1 (0.8.6**) || || 2.2.0 || || || || || 1.15 || 2.24.10 || 2.24.2 || 0.15.4 || N/A
 
|-
 
|-
| Ubuntu || 11.10 || Oneiric Ocelot || 2.3.20 || 2.8.5 || || || 2.24.6 || 2.24.2 || 1.15 || || || || || || || 2.1.3
+
| Ubuntu || 11.10 || Oneiric Ocelot || 2.3.20 || 2.8.5 || |||| || || || || 2.1.3 || || || || || 1.15 || 2.24.6 || 2.24.2 || ||
 
|-
 
|-
| Ubuntu || 11.04 || Natty Narwhal || 2.3.20 || || || || || || || || || || || || ||
+
| Ubuntu || 11.04 || Natty Narwhal || 2.3.20 || || || || || || || || || || || || || || || || ||
 
|-
 
|-
| Ubuntu || 10.10 || Maverick Meerkat || 2.3.20 || || || || || || || || || || || || ||
+
| Ubuntu || 10.10 || Maverick Meerkat || 2.3.20 || || || || || || || || || || || || || || || || ||
 
|-
 
|-
| Ubuntu || 10.04 LTS || Lucid Lynx || 2.3.20 || 2.8.0 (2.8.1**) || || 5.6.3 || 2.20.0 (2.20.1**) || 2.20.2 (2.20.3**) || 1.13 || 2.0.0 || 0.15.0 || N/A || || || ||
+
| Ubuntu || 10.04 LTS || Lucid Lynx || 2.3.20 || 2.8.0 (2.8.1**) || || 5.6.3 || 1.13 || N/A || || || || || || || || 0.15 || 2.20.0 (2.20.1**) || 2.20.2 (2.20.3**) || ||
 
|-
 
|-
| Ubuntu || 9.10 || Karmic Koala || 2.3.20 || || || || || || || || || || || || ||
+
| Ubuntu || 9.10 || Karmic Koala || 2.3.20 || || || || || || || || || || || || || || || || ||
 
|-
 
|-
| Ubuntu || 9.04 || Jaunty Jackalope || 2.3.20 || || || || || || || || || || || || ||
+
| Ubuntu || 9.04 || Jaunty Jackalope || 2.3.20 || || || || || || || || || || || || || || || || ||
 
|-
 
|-
| Ubuntu || 8.10 || Intrepid Ibex || 2.3.20 || || || || || || || || || || || || ||
+
| Ubuntu || 8.10 || Intrepid Ibex || 2.3.20 || || || || || || || || || || || || || || || || ||
 
|-
 
|-
| Ubuntu || 8.04 LTS || Hardy Heron || 2.3.20 || 2.4.7 (2.6.2**) || || 2.12.9 || 2.12.5 || 1.10 || || || || || || || 1.1.0 ||
+
| Ubuntu || 8.04 LTS || Hardy Heron || 2.3.20 || 2.4.7 (2.6.2**) || || || || || || || || || 1.1.0 (libdc1394) || || || 1.10 || 2.12.9 || 2.12.5 || ||
 
|-
 
|-
 
|}
 
|}

Latest revision as of 10:57, 31 August 2021

Supported releases

This is the list of the Linux distributions currently supported by YARP. This means that for these distributions we:

  • Supply .deb packages of new releases of YARP
  • We maintain test machines to ensure that the current sources in svn compile with that distribution (see: http://dashboard.icub.org)

The list of Linux distributions supported is updated using the Policy reported below.

Notice that we support only 64 bits versions.

Distribution Version Codename End of life cmake gcc-defaults ace opencv tinyxml libav ffmpeg libdc1394 Qt5†† coinor-ipopt swig libeigen3-dev gsl gtk+2.0 gtkmm2.4 goocanvasmm gtkdataboxmm
Debian [www] [trk][lp] [trk][lp] [trk][lp] [trk][lp] [trk][lp] [trk][lp] [trk][lp] [trk][lp] | [trk][lp] †† [trk][lp] [trk][lp] [trk][lp] [trk][lp] [trk][lp] [trk][lp] [trk][lp] [trk][lp]
Debian 12 Bookworm (testing)* 3.18.4 1.190 (gcc 10.2.1) 6.5.12 4.5.1 2.6.2 N/A 4.3.2=libavcodec58,libavutil56 2.2.6 5.15.2 3.11.9 4.0.2 3.3.9 2.6
Debian 11 Bullseye (stable) 3.18.4 1.190 (gcc 10.2.1) 6.5.12 4.5.1 2.6.2 N/A 4.3.2=libavcodec58,libavutil56 2.2.6 5.15.2 3.11.9 4.0.2 3.3.9 2.6
Debian 10 Buster (oldstable) August 14, 2021 + 3/6 months 3.13.4 (3.16.3***) 1.181 (gcc 8.3.0) 6.4.5 3.2.0 2.6.2 N/A 4.1.1=libavcodec58,libavutil56 2.2.5 5.11.3 3.11.9 3.0.12 3.3.7 2.5
Ubuntu [wiki] [lp] [lp] [lp] [lp] [lp] [lp] [lp] [lp] | [lp] †† [lp] [lp] [lp] [lp] [lp] [lp] [lp] [lp]
Ubuntu 21.10* Impish Indri 3.18.4 1.193 (gcc 11.2.0) 6.5.12 4.5.1 2.6.2 N/A 4.3.2=libavcodec58,libavutil56 2.2.6 5.15.2 3.11.9 4.0.2 3.3.9 2.6
Ubuntu 21.04 Hirsute Hippo 3.18.4 1.190 (gcc 10.3.0) 6.5.12 4.5.1 2.6.2 N/A 4.3.2=libavcodec58,libavutil56 2.2.6 5.15.2 3.11.9 4.0.2 3.3.9 2.6
Ubuntu 20.04 LTS Focal Fossa 3.16.3 (3.21.1****) 1.185 (gcc 9.2.0) 6.4.5 4.2.0 2.6.2 N/A 4.2.2=libavcodec58,libavutil56 2.2.5 5.12.8 3.11.9 4.0.1 3.3.7 2.5
Ubuntu 18.04 LTS Bionic Beaver April 23, 2020 + 3/6 months 3.10.2 (3.21.1****) 1.176 (gcc 7.3.0) 6.4.5 3.2.0 2.6.2 N/A 3.4.2=libavcodec57,libavutil55 2.2.5 5.9.3 3.11.9 3.0.12 3.3.4 2.4
Repology [cmake] [gcc-defaults] [ace] [opencv] [tinyxml] [libav] [ffmpeg] [libdc1394-22] | [libdc1394] [qt5-base] [coin-or-ipopt] [swig] [eigen3] [gsl]
Minimum version 3.10.2 (3.16.3) 1.176 (gcc 7.3.0) 6.4.5 3.2.0 2.6.2 3.4.2=libavcodec57,libavutil55 2.2.5 5.9.3 3.11.9 3.0.12 3.3.4 2.4
Currently required 3.16 2.3.1-8† 1.x 5.2 3.0
*  Not yet officially supported/work in progress
** In backports, updates, security, or proposed repository
*** Backports repository required
**** Kitware CMake repository required
† OpenCV needs to be built with -DWITH_TBB. On Debian and Ubuntu this flag is used since 2.3.1-8
†† Qt5 packages:
   * qtbase-opensource-src: Debian [trk][lp]
                            Ubuntu [lp]
   * qttools-opensource-src: Debian [trk][lp]
                             Ubuntu [lp]
   * qtdeclarative-opensource-src: Debian [trk][lp]
                                   Ubuntu [lp]
   * qtquickcontrols-opensource-src: Debian [trk][lp]
                                     Ubuntu [lp]
   * qtmultimedia-opensource-src: Debian [trk][lp]
                                  Ubuntu [lp]

Old releases

This is a list of releases no longer supported in trunk, with the latest YARP version officially supported.

Note that you might be able to build newer versions, but you will probably need to build some dependencies as well.

Distribution Version Codename YARP* cmake gcc-defaults ace opencv tinyxml libav ffmpeg libdc1392-22 Qt5 coinor-ipopt swig libeigen3-dev gsl gtk+2.0 gtkmm2.4 goocanvasmm gtkdataboxmm
Debian
Debian 9 Stretch 3.3 3.7.2 (3.13.4**) 1.168 (gcc 6.3.0) 6.3.3 2.4.9.1 2.6.2 N/A 3.2.9=libavcodec57,libavutil55 2.2.5 5.7.1 3.11.9 3.0.10 3.3.2 2.3
Debian 8 Jessie 2.3.72 3.0.2 (3.6.2**) 1.136 (gcc 4.9.2) 6.2.8 2.4.9.1 2.6.2 11.3=libavcodec56,libavutil54 N/A (2.8.6=libavcodec56,libavutil54**) 2.2.3 5.3.2 3.11.9 3.0.2 3.2.2 (3.3.0**) 1.16 (2.3**)
Debian 7 Wheezy 2.3.68 2.8.9 (2.8.11.1**) 1.120 (gcc 4.7.2) 6.0.3 2.3.1-11 2.6.2 0.8.16=libavcodec53,libavutil51 (10.1=libavcodec55,libavutil53*) N/A 2.2.0 N/A (5.3.2**) 3.10.2 2.0.7 1.15 2.24.10 2.24.2 0.15.4 N/A
Debian 6 Squeeze 2.3.62 2.8.2 (2.8.9**) 4.4.5 5.7.7 2.1.0† 2.5.3  ? (0.8.6**) 0.5.10 2.1.2 1.14 2.20.1 2.20.3 0.13.0 N/A
Debian 5 Lenny 2.3.20 2.6.0 5.6.3 1.11 2.12.12 (2.20.1**) 2.12.7
Debian 4 Etch 2.3.20 2.4.5 (2.6.0**) 5.4.7 1.1.0 (libdc1932) 1.8
Ubuntu
Ubuntu 20.10 Groovy Gorilla 3.16.3 1.188 (gcc 10.2.0) 6.5.10 4.2.0 2.6.2 N/A 4.3.1=libavcodec58,libavutil56 2.2.5 5.14.2 3.11.9 4.0.1 3.3.7 2.6
Ubuntu 19.10 Eoan Ermine 3.4 3.13.4 1.185 (gcc 9.2.0) 6.4.5 3.2.0 2.6.2 N/A 4.1.4=libavcodec58,libavutil56 2.2.5 5.12.4 3.11.9 3.0.12 3.3.7 2.5
Ubuntu 19.04 Disco Dingo 3.3 3.13.4 1.181 (gcc 8.3.0) 6.4.5 3.2.0 2.6.2 N/A 4.1.3=libavcodec58,libavutil56 2.2.5 5.12.2 3.11.9 3.0.12 3.3.7 2.5
Ubuntu 18.10 Cosmic Cuttlefish 3.2 3.12.1 1.179 (gcc 8.2.0) 6.4.5 3.2.0 2.6.2 N/A 4.0.2=libavcodec58,libavutil56 2.2.5 5.11.1 3.11.9 3.0.12 3.3.4 2.5
Ubuntu 17.10 Artful Aardvark 3.0 3.9.1 1.173 (gcc 7.2.0) 6.4.5 3.1.0 2.6.2 N/A 3.3.4=libavcodec57,libavutil55 2.2.5 5.9.1 3.11.9 3.0.10 3.3.4 2.4
Ubuntu 17.04 Zesty Zapus 2.3.72 3.7.2 1.166 (gcc 6.3.0) 6.3.3 2.4.9.1 2.6.2 N/A 3.0.2=libavcodec57,libavutil55 2.2.4 5.6.1 3.11.9 3.0.8 3.3.2 2.3
Ubuntu 16.10 Yakkety Yak 2.3.70 3.5.2 1.162 (gcc 6.1.1) 6.3.3 2.4.9.1 2.6.2 N/A 3.0.2=libavcodec57,libavutil55 2.2.4 5.6.1 3.11.9 3.0.8 2.1 2.24.30 2.24.5 N/A 0.9.4
Ubuntu 16.04 LTS Xenial Xerus 3.0 3.5.1 1.150 (gcc 5.3.1) 6.3.3 2.4.9.1 2.6.2 N/A 2.8.6=libavcodec56,libavutil54 2.2.4 5.5.1 3.11.9 3.0.8 3.3-beta1 (3.2.92) 2.1
Ubuntu 15.10 Wily Werewolf 2.3.66 3.2.2 1.144 (gcc 5.2.1) 6.2.8 2.4.9 2.6.2 N/A 2.7.2=libavcodec56,libavutil54 (2.7.6=libavcodec56,libavutil54**) 2.2.3 5.4.2 3.11.9 3.0.2 1.16 2.24.28 2.24.4 N/A 0.9.4
Ubuntu 15.04 Vivid Vervet 2.3.65 3.0.2 1.136 (gcc 4.9.2) 6.2.8 2.4.9 2.6.2 11.2=libavcodec56,libavutil54 2.5.4=libavcodec56,libavutil54 (2.5.7=libavcodec56,libavutil54**) 2.2.3 5.4.1 3.11.9 3.0.2 1.16 2.24.25 2.24.4 0.15.4 0.9.4
Ubuntu 14.10 Utopic Unicorn 2.3.64 2.8.12.2 4.9.1 6.0.3 2.4.8 2.6.2 11=libavcodec56 N/A 2.2.1 5.3.0 3.11.7 3.0.2 1.16 2.24.24 2.24.4 0.15.4 0.9.4
Ubuntu 14.04 LTS Trusty Tahr 2.3.68 2.8.12.2 1.124 (gcc 4.8.2) 6.0.3 2.4.8 2.6.2 9.11=libavcodec54,libavutil52 (9.18=libavcodec54,libavutil52**) N/A 2.2.1 5.2.1 3.11.4 2.0.11 (3.0.2**) 1.16 2.24.23 2.24.4 0.15.4 0.9.4
Ubuntu 13.10 Saucy Salamander 2.3.63 2.8.11.2 4.8.1 6.0.3 2.4.5 2.6.2 0.8.6 (0.8.7**) 2.2.1 5.0.2 1.16 2.24.20 2.24.4 0.15.4 0.9.4
Ubuntu 13.04 Raring Ringtail 2.3.62 2.8.10.1 4.7.3 6.0.3 2.4.2 2.6.2 0.8.6 2.2.0 1.15 2.24.17 2.24.2 0.15.4 N/A
Ubuntu 12.10 Quantal Quetzal 2.3.62 2.8.9 4.7.2 6.0.3 2.3.1-11 2.6.2 0.8.3 (0.8.6**) 2.2.0 1.15 2.24.13 2.24.2 0.15.4 N/A
Ubuntu 12.04 LTS Precise Pangolin 2.3.62 2.8.7 4.6.3 6.0.1 2.3.1-7† 2.6.2 0.8.1 (0.8.6**) 2.2.0 1.15 2.24.10 2.24.2 0.15.4 N/A
Ubuntu 11.10 Oneiric Ocelot 2.3.20 2.8.5 2.1.3 1.15 2.24.6 2.24.2
Ubuntu 11.04 Natty Narwhal 2.3.20
Ubuntu 10.10 Maverick Meerkat 2.3.20
Ubuntu 10.04 LTS Lucid Lynx 2.3.20 2.8.0 (2.8.1**) 5.6.3 1.13 N/A 0.15 2.20.0 (2.20.1**) 2.20.2 (2.20.3**)
Ubuntu 9.10 Karmic Koala 2.3.20
Ubuntu 9.04 Jaunty Jackalope 2.3.20
Ubuntu 8.10 Intrepid Ibex 2.3.20
Ubuntu 8.04 LTS Hardy Heron 2.3.20 2.4.7 (2.6.2**) 1.1.0 (libdc1394) 1.10 2.12.9 2.12.5
*  Latest YARP version officially supported
** In backports or updates repository

Policy

In order to reduce the effort to maintain all the releases supported by Debian and Ubuntu, YARP supports officially only a limited number of releases. This policy is intended to support a good amount of releases, but, at the same time, to enable developers to use newer features in the dependencies (by supporting all the releases we would be bound to ~5 years old versions)

These are the releases supported:

Debian testing
Supported always.
Debian stable
Supported always.
Debian oldstable
Supported only for either 3 or 6 months after a stable release (i.e. starting when the old "stable" becomes "oldstable"), in order to give some time to the users to upgrade their system.
Ubuntu short term releases
Supported only until Canonical supports them.
Ubuntu long term releases
Only the latest one is supported. When a new long term release is released, we support the previous one for either 3 or 6 extra months, in order to give some time to the users to upgrade their system.
All the other releases
Not supported


Dropping support doesn't mean that the next releases won't necessarily build on that specific version, but:

  • If we need a newer version for a package, we upgrade it.
  • We don't supply .deb packages of newer releases for those versions.
  • We remove the build machines for that release from the dashboard.

Useful links